Subject: Re: bug/typo in RFC2256?

From: Mark Wahl <[email-masked]>
Date: Mon, 08 Jul 2002 11:26:09 -0500

>while investigating the organizationalRole objectclass,
>through the nice web interface at http://ldap.akbkhome.com,
>I found, to my surprise, "preferredDeliveryMethod" being defined twice.

Yep, it's a typo and can be corrected in the update to 2256.

>I traced it back and saw that it is defined in RFC2256, exactly as such.
>It is even a SINGLE-VALUE field, which means that it has to be corrected.

Actually the single-valuedness of the attribute is unrelated to how many 
occurences there are in the list of MUST or MAYs.  

As an aside, SINGLE-VALUEDness is also unrelated to whether the attribute is 
defined as a MUST or MAY of the class itself or to one of the inherited in 
classes, for example one occasionally sees a schema definition like

( 1.2.3.4 NAME 'myPerson' SUP person MUST (cn) MAY ( ... ) )

Mark Wahl
Sun Microsystems Inc.